/*
 * Copyright (C) 1999-2006 <a href="mailto:adrian.paschke@gmx.de">Adrian Paschke</a>
 * 
 * The RBSLM Environment is part of the Rule Based Service Level Agreement (RBSLA)
 * framework, available at 
 * <a href=" http://ibis.in.tum.de/staff/paschke/rbsla/index.htm">RBSLA</a>
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package rbsla.environment.view;

import java.util.Hashtable;


import javax.swing.JComponent;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

import org.apache.log4j.Logger;


public class AdvancedTextViewer implements Viewer
{

    JTextArea textArea = new JTextArea();

    private static Logger logger = Logger.getLogger(AdvancedTextViewer.class);

    public JComponent getContentPane(Hashtable viewProperties)
    {
        // Add a scrolling text area
        textArea.setEditable(false);
        textArea.setRows(0);
        textArea.setColumns(50);
        textArea.setLineWrap(true);
        textArea.setText("");

        return new JScrollPane(textArea);
    }

    public void dataChanged(String result, String debugText) throws Throwable
    {
        String resultString = ParseResults.instance().parseManyResults(result);
        textArea.setText(resultString + "\n" + debugText);

    }
    
    public Hashtable getViewerPropertieNames()
    {
        return null;
    }

}